Package org.silverpeas.processmanager

## Class ProcessFilter

- java.lang.Object
- - org.silverpeas.processmanager.ProcessFilter

-     public class ProcessFilter
      extends Object

  A ProcessFilter is used to select some process from all the process.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessFilter​(org.silverpeas.core.workflow.api.model.ProcessModel model, String role, String lang, boolean isProcessIdVisible)` | Builds a process filter which can be used to select process instance of a given process model.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.silverpeas.core.contribution.content.form.DataRecord>` | `filter​(List<? extends org.silverpeas.core.workflow.api.instance.ProcessInstance> allInstances, String role, String lang)` | Returns only the process instance matching the filter.
    `org.silverpeas.core.contribution.content.form.DataRecord` | `getCriteriaRecord()` | Get the current criteria.
    `org.silverpeas.core.contribution.content.form.Form` | `getPresentationForm()` | Returns the form which can be used to fill the filter criteria.
    `boolean` | `isCollapse()` | Returns the collapse status of the filter panel.
    `void` | `setCollapse​(boolean collapse)` | Set the collapse status of the filter panel.
    `void` | `setCriteriaRecord​(org.silverpeas.core.contribution.content.form.DataRecord criteria)` | Set the current criteria.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessFilter

          public ProcessFilter​(org.silverpeas.core.workflow.api.model.ProcessModel model,
                               String role,
                               String lang,
                               boolean isProcessIdVisible)
                        throws ProcessManagerException

      Builds a process filter which can be used to select process instance of a given process model.
      Throws:
        `ProcessManagerException`

  - ### Method Detail

    - #### getPresentationForm

          public org.silverpeas.core.contribution.content.form.Form getPresentationForm()
                                                                                 throws ProcessManagerException

      Returns the form which can be used to fill the filter criteria.
      Throws:
        `ProcessManagerException`

    - #### getCriteriaRecord

          public org.silverpeas.core.contribution.content.form.DataRecord getCriteriaRecord()
                                                                                     throws ProcessManagerException

      Get the current criteria.
      Throws:
        `ProcessManagerException`

    - #### setCriteriaRecord

          public void setCriteriaRecord​(org.silverpeas.core.contribution.content.form.DataRecord criteria)

      Set the current criteria.

    - #### isCollapse

          public boolean isCollapse()

      Returns the collapse status of the filter panel.

    - #### setCollapse

          public void setCollapse​(boolean collapse)

      Set the collapse status of the filter panel.

    - #### filter

          public List<org.silverpeas.core.contribution.content.form.DataRecord> filter​(List<? extends org.silverpeas.core.workflow.api.instance.ProcessInstance> allInstances,
                                                                                       String role,
                                                                                       String lang)
                                                                                throws ProcessManagerException

      Returns only the process instance matching the filter.
      Throws:
        `ProcessManagerException`